1. 📢 Public
TunnelSats Public Wireguard API
  • About our team
  • 📢 Public
    • List available VPN servers
      GET
    • Create a new VPN subscription
      POST
    • Claim a WireGuard configuration after payment
      POST
    • Check subscription status via payment hash
      GET
    • Renew an existing VPN subscription
      POST
    • Get Subscription Status
      POST
  • 🔐 Authenticated
    • Sync Subscription
      POST
    • Create Referral Code
      POST
    • Referral History
      GET
    • List all active/paid subscriptions for the account
      GET
  • Announcements
    • 💫 What is TunnelSats?
    • 🚀 Introducing the TunnelSats Public API v1
    • How TunnelSats Leverages Public APIs for Confined VPN Management
  • Cookbook
    • 🛠️ Automation & Code Examples
    • 🐚 Bash One-Liners
    • 🛑 Error Codes & Troubleshooting
    • 🎁 Referral Program: Earn Bonus Months
    • 🚑 Node Health & Upkeep
    • 🛡️ Security & Authentication
  • Schemas
    • Server
    • InvoiceOrder
    • SubscriptionStatus
    • WireGuardConfig
    • ReferralCode
    • ReferralHistory
    • NodeLookup
    • ConnectivityResult
    • RenewalOrder
    • ClaimResult
    • ApiError
    • SubscriptionListItem
  1. 📢 Public

Claim a WireGuard configuration after payment

POST
/api/public/v1/subscription/claim

Request

Body Params application/jsonRequired

Examples

Responses

🟢200
application/json
Success
Body

🟠402
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST 'https://tunnelsats.com/api/public/v1/subscription/claim' \
--header 'Content-Type: application/json' \
--data-raw '{
    "paymentHash": "string",
    "wgPublicKey": "string",
    "wgPresharedKey": "string",
    "referralCode": "string"
}'
Response Response Example
{
    "status": "success",
    "subscriptionEnd": "2019-08-24T14:15:22.123Z",
    "message": "string",
    "server": {
        "endpoint": "string",
        "publicKey": "string",
        "allowedIPs": "string",
        "dns": "string"
    },
    "peer": {
        "address": "string",
        "privateKey": "string",
        "presharedKey": "string"
    },
    "config": "string",
    "fullConfig": "string",
    "keyId": "string"
}
Modified at 2026-04-12 12:51:22
Previous
Create a new VPN subscription
Next
Check subscription status via payment hash
Built with